# $XFree86: doctools/sgmlformat/instant/Makefile,v 1.7 1999/04/26 14:20:43 dawes Exp $

SHELL=/bin/sh

# These are defaults which are normally overriden
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
INSTALL = install

SRCS =  browse.c info.c main.c tables.c traninit.c translate.c  \
	tranvar.c util.c sgmls.c

OBJS =  browse.o info.o main.o tables.o traninit.o translate.o  \
	tranvar.o util.o sgmls.o

CFLAGS = $(CDEBUGFLAGS) -DTRANSPEC_DIR=\"${TRANSPEC_DIR}\" -I$(TOPDIR)

all: instant

instant: $(OBJS)
	$(CC) -o instant $(OBJS) -L$(TOPDIR) $(REGEXLIB) $(EXTRALIBS)

install: instant
	$(INSTALL) -c -m 755 instant $(BINDIR)

#MAN1=	instant.1
#MAN5=	transpec.5

clean:
	rm -f $(OBJS) instant
